summaryrefslogtreecommitdiffstats
path: root/external/poky/scripts/autobuilder-worker-prereq-tests
diff options
context:
space:
mode:
Diffstat (limited to 'external/poky/scripts/autobuilder-worker-prereq-tests')
-rwxr-xr-xexternal/poky/scripts/autobuilder-worker-prereq-tests12
1 files changed, 9 insertions, 3 deletions
diff --git a/external/poky/scripts/autobuilder-worker-prereq-tests b/external/poky/scripts/autobuilder-worker-prereq-tests
index bb46c691..5d7e6e26 100755
--- a/external/poky/scripts/autobuilder-worker-prereq-tests
+++ b/external/poky/scripts/autobuilder-worker-prereq-tests
@@ -3,7 +3,7 @@
# Script which can be run on new autobuilder workers to check all needed configuration is present.
# Designed to be run in a repo where bitbake/oe-core are already present.
#
-
+# SPDX-License-Identifier: GPL-2.0-only
#
# Todo
# Add testtools/subunit import test
@@ -15,6 +15,12 @@
# test buildistory git repo works?
#
+if [ ! -x $HOME/yocto-autobuilder-helper/scripts/checkvnc ]; then
+ echo "$HOME/yocto-autobuilder-helper should be created."
+ exit 1
+fi
+$HOME/yocto-autobuilder-helper/scripts/checkvnc
+
. ./oe-init-build-env > /dev/null
if [ "$?" != "0" ]; then
exit 1
@@ -53,12 +59,12 @@ if [ ! -e bzImage-qemux86-64.bin ]; then
fi
popd
bitbake qemu-helper-native
-runqemu qemux86-64
+DISPLAY=:1 runqemu serialstdio qemux86-64
if [ "$?" != "0" ]; then
echo "Unable to use runqemu"
exit 1
fi
-runqemu qemux86-64 kvm
+DISPLAY=:1 runqemu serialstdio qemux86-64 kvm
if [ "$?" != "0" ]; then
echo "Unable to use runqemu with kvm"
exit 1